.container {
    height: fit-content;
    width: 600px;
    top: 60px;
    left: calc(50% - 300px);
    display: flex;
}

.card {
    display: flex;
    height: 280px;
    width: 200px;
    background-color: #cc0000 !important;
    border-radius: 15px !important;
    -webkit-box-shadow: 5px 5px 14px 5px rgba(0, 0, 0, 0.225);
    box-shadow: -5px 5px 14px 5px rgba(0, 0, 0, 0.225);
    margin-left: -50px;
    transition: 0.4s ease-out;
    position: relative;
    left: 0px;
    min-height: 250px;
}

.card:not(:first-child) {
    margin-left: -30px;
}

.card:nth-child(n+4) {
    z-index: 10;
    margin-left: -30px;
    -webkit-box-shadow: 0px 12px 28px 5px rgba(0, 0, 0, 0.225);
    ;
    box-shadow: 0px 12px 28px 5px rgba(0, 0, 0, 0.225);
    ;
}

.card:nth-child(n+5) {
    z-index: 9;
    margin-left: -30px;
    -webkit-box-shadow: 5px 5px 14px 5px rgba(0, 0, 0, 0.225);
    box-shadow: 5px 5px 14px 5px rgba(0, 0, 0, 0.225);
}

.card:nth-child(n+6) {
    z-index: 8;
    margin-left: -30px;
}

.card:nth-child(n+7) {
    z-index: 7;
    margin-left: -30px;
}

.destra{
    right: 20px !important;
    left: auto !important;
}

.centro{
    left: 50% !important;
    transform: translateX(-50%);
}

.card:hover {
    transform: translateY(-20px);
    transition: 0.4s ease-out;
}

.card:nth-child(n+5):hover,
.card:nth-child(n+6):hover,
.card:nth-child(n+7):hover {
    transform: translateY(-20px);
    transition: 0.4s ease-out;
    left: 50px;
}

.card:hover~.card {
    position: relative;
    left: 50px;
    transition: 0.4s ease-out;
}


.card p.description {
    height: 80%;
    font-weight: 800;
    text-align: center;
    font-family: SpaceGrotesk;
    padding: 15px;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.title {
    color: white;
    font-weight: 300;
    position: absolute;
    left: 10px;
    top: 15px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bolder;
}

.bar {
    position: absolute;
    top: 60px;
    left: 20px;
    height: 5px;
    width: 80% !important;
}

.emptybar {
    background:  rgba(255, 255, 255, 0.486);
    width: 100%;
    height: 100%;
    border-radius: 2px;
}

.filledbar {
    position: absolute;
    top: 0px;
    z-index: 3;
    width: 0px;
    height: 100%;
    background: rgb(0, 154, 217);
    background-color: #ffffff;
    transition: 0.6s ease-out;
    border-radius: 2px;
}

.card:hover .filledbar {
    width: 100%;
    transition: 0.4s ease-out;
}

.circle {
    position: absolute;
    top: 150px;
    left: calc(50% - 60px);
}

.stroke {
    stroke: white;
    stroke-dasharray: 360;
    stroke-dashoffset: 360;
    transition: 0.6s ease-out;
}

svg {
    fill: #17141d;
    stroke-width: 2px;
}

.card:hover .stroke {
    stroke-dashoffset: 100;
    transition: 0.6s ease-out;
}


@media (max-width: 1400px) {
    .container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 5px;
        width: 100% !important;
    }

    .destra{
    right: auto !important;
    left: 10px !important;
    }

     .title{
    left: 50% !important;
    transform: translateX(-50%);
    }

    .card {
        width: calc(25% - 5px);
        margin: 0;
        position: static;
        transition: 0.4s ease-out;
    }

    .card:not(:first-child) {
        margin-left: 0px;
    }

    .card:nth-child(n+4) {
        z-index: 1;
        margin-left: 0px;
        -webkit-box-shadow: 0px 12px 28px 5px rgba(0, 0, 0, 0.225);
        box-shadow: 0px 12px 28px 5px rgba(0, 0, 0, 0.225);
    }

    .card:hover,
    .card:nth-child(n+5):hover,
    .card:nth-child(n+6):hover,
    .card:nth-child(n+7):hover {
        transform: scale(1.2);
        transition: 0.4s ease-in-out;
        left: 0px;
        z-index: 10;
    }

    .card:hover~.card {
        left: 0px;
    }
}

@media (max-width: 1000px) {
    .card {
        width: calc(33% - 5px);
    }
}

@media (max-width: 500px) {
    .card {
        width: calc(50% - 5px);
    }
}